org.apache.myfaces.trinidad.component

## Class ComponentProcessingContext

- java.lang.Object
- - org.apache.myfaces.trinidad.component.ComponentProcessingContext

-     public final class ComponentProcessingContext
      extends Object

  ProcessingContext passed to FlattenedComponents and ComponentProcessors representing the current component iteration context.
  See Also:
    `ComponentProcessor`, `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessor, UIComponent, Object)`, `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessor, Iterable, Object)`, `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessingContext, ComponentProcessor, UIComponent, Object)`, `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessingContext, ComponentProcessor, Iterable, Object)`, `FlattenedComponent`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentProcessingContext.ProcessingHint` Hints to the the FlattenedComponents regarding what the flattened iteration is being used for, The FlattenedComponent may use this information to change its flattening behavior.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGroupDepth()` Returns the current group depth of the ProcessingContext.
    `Set<ComponentProcessingContext.ProcessingHint>` | `getHints()` Returns hints that influence the behavior of the component processing
    `RequestContext` | `getRequestContext()`
    `int` | `getStartDepth()` Returns the current starting group depth of the ProcessingContext.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getStartDepth

          public int getStartDepth()

      Returns the current starting group depth of the ProcessingContext. The starting depth is only non-zero for the first rendered child inside a group or nested groups. If two grouping components, such as UIXGroup, are nested immediately inside of each other, the first processed component in the second UIXGroup will see 2 for the start depth. The second would see 0.
      See Also:
        `getGroupDepth()`

    - #### getGroupDepth

          public int getGroupDepth()

      Returns the current group depth of the ProcessingContext. The group depth is equal to the nesting depth of grouping components, such as UIXGroup that the current iteratior has entered. In contrast to `getStartDepth()`, all siblings at a particular nesting level see the same group depth.
      See Also:
        `getStartDepth()`

    - #### getHints

          public Set<ComponentProcessingContext.ProcessingHint> getHints()

      Returns hints that influence the behavior of the component processing

      Returns:
        a non-empty, unmodifiable collection of ProcessingHints

    - #### getRequestContext

          public RequestContext getRequestContext()

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.